Index: src/Shapes/BaseShapes.cpp
===================================================================
--- src/Shapes/BaseShapes.cpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/BaseShapes.cpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -37,5 +37,5 @@
  * \param N number of points on surface
  */
-std::vector<Vector> Sphere_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Sphere_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface;
 
@@ -45,5 +45,5 @@
   double z = 1. - dz/2.;
   Vector point;
-  for (int ka = 0; ka<N; ka++){
+  for (size_t ka = 0; ka<N; ka++){
     const double r = sqrt(1.-z*z);
     point.Zero();
@@ -73,5 +73,5 @@
  * \param N number of points on surface
  */
-std::vector<Vector> Cuboid_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Cuboid_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface;
   ASSERT(false, "Cuboid_impl::getHomogeneousPointsOnSurface() not implemented yet");
Index: src/Shapes/BaseShapes_impl.hpp
===================================================================
--- src/Shapes/BaseShapes_impl.hpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/BaseShapes_impl.hpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -13,10 +13,10 @@
 class Sphere_impl : public Shape_impl {
   virtual bool isInside(const Vector &point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 };
 
 class Cuboid_impl : public Shape_impl {
   virtual bool isInside(const Vector &point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 };
 
Index: src/Shapes/Shape.cpp
===================================================================
--- src/Shapes/Shape.cpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/Shape.cpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -37,5 +37,5 @@
 }
 
-std::vector<Vector> Shape::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Shape::getHomogeneousPointsOnSurface(const size_t N) const {
   return impl->getHomogeneousPointsOnSurface(N);
 }
@@ -87,5 +87,5 @@
 }
 
-std::vector<Vector> AndShape_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> AndShape_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface_lhs = lhs->getHomogeneousPointsOnSurface(N);
   std::vector<Vector> PointsOnSurface_rhs = rhs->getHomogeneousPointsOnSurface(N);
@@ -122,5 +122,5 @@
 }
 
-std::vector<Vector> OrShape_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> OrShape_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface_lhs = lhs->getHomogeneousPointsOnSurface(N);
   std::vector<Vector> PointsOnSurface_rhs = rhs->getHomogeneousPointsOnSurface(N);
@@ -156,5 +156,5 @@
 }
 
-std::vector<Vector> NotShape_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> NotShape_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   // surfaces are the same, only normal direction is different
   return arg->getHomogeneousPointsOnSurface(N);
Index: src/Shapes/Shape.hpp
===================================================================
--- src/Shapes/Shape.hpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/Shape.hpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -27,5 +27,5 @@
 
   bool isInside(const Vector &point) const;
-  std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 
   Shape &operator=(const Shape& rhs);
Index: src/Shapes/ShapeOps.cpp
===================================================================
--- src/Shapes/ShapeOps.cpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/ShapeOps.cpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -39,5 +39,5 @@
 }
 
-std::vector<Vector> Resize_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Resize_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface = arg->getHomogeneousPointsOnSurface(N);
   for(std::vector<Vector>::iterator iter = PointsOnSurface.begin(); iter != PointsOnSurface.end(); ++iter) {
@@ -65,5 +65,5 @@
 }
 
-std::vector<Vector> Translate_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Translate_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface = arg->getHomogeneousPointsOnSurface(N);
   for(std::vector<Vector>::iterator iter = PointsOnSurface.begin(); iter != PointsOnSurface.end(); ++iter) {
@@ -99,5 +99,5 @@
 }
 
-std::vector<Vector> Stretch_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Stretch_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface = arg->getHomogeneousPointsOnSurface(N);
   for(std::vector<Vector>::iterator iter = PointsOnSurface.begin(); iter != PointsOnSurface.end(); ++iter) {
@@ -126,5 +126,5 @@
 }
 
-std::vector<Vector> Transform_impl::getHomogeneousPointsOnSurface(const int N) const {
+std::vector<Vector> Transform_impl::getHomogeneousPointsOnSurface(const size_t N) const {
   std::vector<Vector> PointsOnSurface = arg->getHomogeneousPointsOnSurface(N);
   for(std::vector<Vector>::iterator iter = PointsOnSurface.begin(); iter != PointsOnSurface.end(); ++iter) {
Index: src/Shapes/ShapeOps_impl.hpp
===================================================================
--- src/Shapes/ShapeOps_impl.hpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/ShapeOps_impl.hpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -19,5 +19,5 @@
   virtual ~Resize_impl();
   virtual bool isInside(const Vector& point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr arg;
@@ -31,5 +31,5 @@
   virtual ~Translate_impl();
   virtual bool isInside(const Vector& point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr arg;
@@ -43,5 +43,5 @@
   virtual ~Stretch_impl();
   virtual bool isInside(const Vector& point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr arg;
@@ -56,5 +56,5 @@
   virtual ~Transform_impl();
   virtual bool isInside(const Vector& point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr arg;
Index: src/Shapes/Shape_impl.hpp
===================================================================
--- src/Shapes/Shape_impl.hpp	(revision d17f3dc57329f8bf69e73f21166b7985cb4d1a79)
+++ src/Shapes/Shape_impl.hpp	(revision 9c1c89d06cf8e6779213c5c5181524247fd05e85)
@@ -20,5 +20,5 @@
   virtual ~Shape_impl(){};
   virtual bool isInside(const Vector &point)=0;
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const=0;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const=0;
 };
 
@@ -28,5 +28,5 @@
     return true;
   }
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const {
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const {
     std::vector<Vector> PointsOnSurface;
     return PointsOnSurface;
@@ -38,5 +38,5 @@
     return false;
   }
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const {
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const {
     std::vector<Vector> PointsOnSurface;
     return PointsOnSurface;
@@ -49,5 +49,5 @@
   virtual ~AndShape_impl();
   virtual bool isInside(const Vector &point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr lhs;
@@ -60,5 +60,5 @@
   virtual ~OrShape_impl();
   virtual bool isInside(const Vector &point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr lhs;
@@ -71,5 +71,5 @@
   virtual ~NotShape_impl();
   virtual bool isInside(const Vector &point);
-  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const int N) const;
+  virtual std::vector<Vector> getHomogeneousPointsOnSurface(const size_t N) const;
 private:
   Shape::impl_ptr arg;
